MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
oxctabl.c File Reference

Table object routines and Rops. More...

`#include "mapiproxy/dcesrv_mapiproxy.h"`
`#include "mapiproxy/libmapiproxy/libmapiproxy.h"`
`#include "mapiproxy/libmapiserver/libmapiserver.h"`
`#include "dcesrv_exchange_emsmdb.h"`
`#include "libmapi/libmapi_private.h"`

## Functions
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopFindRow (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopQueryPosition (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopQueryRows (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopResetTable (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopRestrict (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopSeekRow (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopSetColumns (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)
_PUBLIC_ enum MAPISTATUS | EcDoRpc_RopSortTable (TALLOC_CTX *mem_ctx, struct emsmdbp_context *emsmdbp_ctx, struct EcDoRpc_MAPI_REQ *mapi_req, struct EcDoRpc_MAPI_REPL *mapi_repl, uint32_t *handles, uint16_t *size)

## Detailed Description

Table object routines and Rops.

E-mail rules object routines and Rops.

## Function Documentation

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopFindRow | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc FindRow (0x4f) Rop. This operation moves the cursor to a row in a table that matches specific search criteria.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the FindRow EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the FindRow EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References emsmdbp_get_contextID(), emsmdbp_is_mapistore(), libmapiserver_push_property(), libmapiserver_RopFindRow_size(), mapi_handles_get_private_data(), and mapi_handles_search().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopQueryPosition | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc QueryPosition (0x17) Rop. This operation returns the location of cursor in the table.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the QueryPosition EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the QueryPosition EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References libmapiserver_RopQueryPosition_size(), mapi_handles_get_private_data(), and mapi_handles_search().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopQueryRows | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc QueryRows (0x15) Rop. This operation retrieves rows from a table.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the QueryRows EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the QueryRows EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

References libmapiserver_RopQueryRows_size(), mapi_handles_get_private_data(), and mapi_handles_search().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopResetTable | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc ResetTable (0x81) Rop. This operation resets the table as follows:

- Removes the existing column set, restriction, and sort order (ignored) from the table.
- Invalidates bookmarks. (ignored)
- Resets the cursor to the beginning of the table.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the SetColumns EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the SetColumns EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References emsmdbp_get_contextID(), emsmdbp_is_mapistore(), libmapiserver_RopResetTable_size(), mapi_handles_get_private_data(), and mapi_handles_search().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopRestrict | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc SortTable (0x14) Rop. This operation establishes a filter for a table.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the Restrict EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the Restrict EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References emsmdbp_get_contextID(), emsmdbp_is_mapistore(), libmapiserver_RopRestrict_size(), mapi_handles_get_private_data(), and mapi_handles_search().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopSeekRow | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc SeekRow (0x18) Rop. This operation moves the cursor to a specific position in a table.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the SeekRow EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the SeekRow EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References libmapiserver_RopSeekRow_size(), mapi_handles_get_private_data(), and mapi_handles_search().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopSetColumns | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc SetColumns (0x12) Rop. This operation sets the properties to be included in the table.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the SetColumns EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the SetColumns EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References emsmdbp_get_contextID(), emsmdbp_is_mapistore(), libmapiserver_RopSetColumns_size(), mapi_handles_get_private_data(), and mapi_handles_search().

_PUBLIC_ enum MAPISTATUS EcDoRpc_RopSortTable | ( | TALLOC_CTX * | mem_ctx,
|  | struct emsmdbp_context * | emsmdbp_ctx,
|  | struct EcDoRpc_MAPI_REQ * | mapi_req,
|  | struct EcDoRpc_MAPI_REPL * | mapi_repl,
|  | uint32_t * | handles,
|  | uint16_t * | size
| ) |  |

EcDoRpc SortTable (0x13) Rop. This operation defines the order of rows of a table based on sort criteria.

Parameters

  mem_ctx | pointer to the memory context
  emsmdbp_ctx | pointer to the emsmdb provider context
  mapi_req | pointer to the SortTable EcDoRpc_MAPI_REQ structure
  mapi_repl | pointer to the SortTable EcDoRpc_MAPI_REPL structure
  handles | pointer to the MAPI handles array
  size | pointer to the mapi_response size to update

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error

References emsmdbp_get_contextID(), emsmdbp_is_mapistore(), libmapiserver_RopSortTable_size(), mapi_handles_get_private_data(), mapi_handles_search(), and openchangedb_table_set_sort_order().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/